#!/usr/bin/ruby
# coding: utf-8
# frozen_string_literal: true

lib = File.expand_path("../../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "ruby-prof"
require "pry"
require "pry/rescue"
require "carbon"

index = Carbon::Core.finalize
add = index.fetch("Carbon::UInt32.+(Carbon::UInt32, Carbon::Int32)")
build = Carbon::Concrete::Build.new(index.build(add), index)

build.call
puts build.module
